commit:     e07d0f8ca13a384c4746aea466512ad6264f1348
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  7 18:13:38 2024 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Sep  7 18:15:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e07d0f8c

app-emulation/protontricks: Revert "Follow-up winetricks[gtk|kde => gui]"

Too soon.

(and revert "drop 1.10.5, 1.11.1")

This reverts commit 00e850797f3036b87aadb0ef906785ffc0ce2eb4.

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 ...rotontricks-1.10.5-r1.ebuild => protontricks-1.10.5.ebuild} | 10 +++++++---
 ...rotontricks-1.11.1-r1.ebuild => protontricks-1.11.1.ebuild} | 10 +++++++---
 2 files changed, 14 insertions(+), 6 deletions(-)

diff --git a/app-emulation/protontricks/protontricks-1.10.5-r1.ebuild 
b/app-emulation/protontricks/protontricks-1.10.5.ebuild
similarity index 89%
rename from app-emulation/protontricks/protontricks-1.10.5-r1.ebuild
rename to app-emulation/protontricks/protontricks-1.10.5.ebuild
index 70c4324ac6e7..01f45db1d061 100644
--- a/app-emulation/protontricks/protontricks-1.10.5-r1.ebuild
+++ b/app-emulation/protontricks/protontricks-1.10.5.ebuild
@@ -17,14 +17,18 @@ SLOT="0"
 KEYWORDS="amd64"
 IUSE="+gui"
 
-RDEPEND="
-       app-emulation/winetricks[gui?]
+RDEPEND="app-emulation/winetricks
        $(python_gen_cond_dep '
                dev-python/pillow[${PYTHON_USEDEP}]
                dev-python/setuptools[${PYTHON_USEDEP}]
                dev-python/vdf[${PYTHON_USEDEP}]
        ')
-       gui? ( gnome-extra/zenity )"
+       gui? ( gnome-extra/zenity
+               || (
+                       app-emulation/winetricks[gtk]
+                       app-emulation/winetricks[kde]
+               )
+       )"
 BDEPEND="$(python_gen_cond_dep '
        dev-python/setuptools-scm[${PYTHON_USEDEP}]
 ')"

diff --git a/app-emulation/protontricks/protontricks-1.11.1-r1.ebuild 
b/app-emulation/protontricks/protontricks-1.11.1.ebuild
similarity index 89%
rename from app-emulation/protontricks/protontricks-1.11.1-r1.ebuild
rename to app-emulation/protontricks/protontricks-1.11.1.ebuild
index f936c815408b..fc9689a51050 100644
--- a/app-emulation/protontricks/protontricks-1.11.1-r1.ebuild
+++ b/app-emulation/protontricks/protontricks-1.11.1.ebuild
@@ -17,14 +17,18 @@ SLOT="0"
 KEYWORDS="~amd64"
 IUSE="+gui"
 
-RDEPEND="
-       app-emulation/winetricks[gui?]
+RDEPEND="app-emulation/winetricks
        $(python_gen_cond_dep '
                dev-python/pillow[${PYTHON_USEDEP}]
                dev-python/setuptools[${PYTHON_USEDEP}]
                dev-python/vdf[${PYTHON_USEDEP}]
        ')
-       gui? ( gnome-extra/zenity )"
+       gui? ( gnome-extra/zenity
+               || (
+                       app-emulation/winetricks[gtk]
+                       app-emulation/winetricks[kde]
+               )
+       )"
 BDEPEND="$(python_gen_cond_dep '
        dev-python/setuptools-scm[${PYTHON_USEDEP}]
 ')"

Reply via email to